#import "FlutterKakaolinkPlugin.h"
#import <KakaoOpenSDK/KakaoOpenSDK.h>
#import <KakaoLink/KakaoLink.h>

@implementation FlutterKakaolinkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_kakaolink"
            binaryMessenger:[registrar messenger]];
  FlutterKakaolinkPlugin* instance = [[FlutterKakaolinkPlugin alloc] init];
  [registrar addApplicationDelegate:instance];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"reqkakalink" isEqualToString:call.method]) {

    TextTemplate params = TextTemplate.newBuilder("Text", LinkObject.newBuilder().
                            setWebUrl("https://developers.kakao.com").
                            setMobileWebUrl("https://developers.kakao.com").
                            build()).setButtonTitle("This is button").build();
    Map<String, String> serverCallbackArgs = new HashMap<String, String>();
    serverCallbackArgs.put("user_id", "${current_user_id}");
    serverCallbackArgs.put("product_id", "${shared_product_id}");

    KakaoLinkService.getInstance().sendDefault(this, params, serverCallbackArgs, new ResponseCallback<KakaoLinkResponse>() {
    @Override
    public void onFailure(ErrorResult errorResult) {
        Logger.e(errorResult.toString());
    }

    @Override
    public void onSuccess(KakaoLinkResponse result) {
        // 템플릿 밸리데이션과 쿼터 체크가 성공적으로 끝남. 톡에서 정상적으로 보내졌는지 보장은 할 수 없다. 전송 성공 유무는 서버콜백 기능을 이용하여야 한다.
    }
});

스크랩 템플릿 보내기Copy URL
    result(nil);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
